BRepBuilderAPI_MakeFace()

Hi, everyone, would you help me on the following problem?
I am going to get a face determined by the surface bounded by a wire. The code is listed in the following. The problem is that if the surfce type is plane, I can get a Face and display it. While if the surface type is a cylinder, the two assertion are valid but the corresponding face can't be displayed.

Will someone provide some hints? Many thanks.

Ming

---------------------------------------------------------------

TopoDS_Wire aWire = MW.Wire();
BRepBuilderAPI_MakeFace BMF(hSrf,aWire);
aFace=BMF.Face();
assert(BMF.IsDone());
assert(!aFace.IsNull());
if((aFace.Orientation())==TopAbs_REVERSED)
aFace=TopoDS::Face(aFace.Reversed());

Csongor's picture

Hi Ming,

Unfortunately I have the same problem, but not with only the cylinder surfaces (actually with all surfaces wich are not planar).
Since nobody answered your question I am asking you if you got the source of the problem in the meantime or what workaround did you used?

Thanks in advance,
Csongor